Important notice for Android 11 applications using UIKit

Starting from May 5, 2021, for applications that support Android 11, we highly recommend you to update your UIKit version to Android UIKit v2.1.3. This is in response to the Android 11 storage updates related to the requestLegacyExternalStorage attribute which you can find here. Android UIKit v2.1.2 and below target Android 10 (API 29), so if your application supports Android 11, it is important for you to update to Android UIKit v2.1.3 which targets Android 11. In this update, the requestLegacyExternalStorage attribute has been deleted, and the existing implementation has been changed to Media Store API according to Android’s recommendations.

4 Likes

Thank you for the announcement! @Mike_Cha